# Structure of the .json with item catalog:
# {
#     "nyphilharmonic181210": {
#         "name": "New York Philharmonic: Rachmaninoff",
#         "city": "New York",
#         "venue": "Lincoln Center",
#         "date":  "2017-12-10",
#         "genres": ["classical music"],
#         "price": 94.0
#     }
#     "beachboys190321": { ... },
#     ....
# }

from recombee_api_client.api_client import RecombeeClient
from recombee_api_client.api_requests import *
import json

client = RecombeeClient('events-example', 'PbBaEVxx8ZOj0x3BhGtqfHyi8qQ8rm8rE1JBnSPoCnHwetzO3gjHer96YVAIa14G')

client.send(ResetDatabase())

client.send(AddItemProperty('name', 'string'))
client.send(AddItemProperty('city', 'string'))
client.send(AddItemProperty('venue', 'string'))
client.send(AddItemProperty('date', 'timestamp'))
client.send(AddItemProperty('genres', 'set'))
client.send(AddItemProperty('price', 'double'))

requests = []
with open('items.json') as f:
    data = json.loads(f.read())
    for item_id,values in data.items():
        r = SetItemValues(item_id,
                          values,
                          cascade_create=True)
        requests.append(r)

res = client.send(Batch(requests))
print(res)